## pypdf2 2.12.1

=== Makefile ===
maint:
	pyenv local 3.6.15
	pre-commit autoupdate
	pip-compile -U requirements/ci.in
	pyenv local 3.7.15
	pip-compile -U requirements/dev.in
	pyenv local 3.7.9
	pip-compile -U requirements/docs.in

changelog:
	python make_changelog.py

upload:
	make clean
	flit publish

clean:
	pyclean .
	rm -rf tests/__pycache__ PyPDF2/__pycache__ Image9.png htmlcov docs/_build dist dont_commit_merged.pdf dont_commit_writer.pdf PyPDF2.egg-info PyPDF2_pdfLocation.txt .pytest_cache .mypy_cache .benchmarks

test:
	pytest tests --cov --cov-report term-missing -vv --cov-report html --durations=3 --timeout=60 PyPDF2

testtype:
	pytest tests --cov --cov-report term-missing -vv --cov-report html --durations=3 --timeout=30 --typeguard-packages=PyPDF2

mutation-test:
	mutmut run

mutation-results:
	mutmut junitxml --suspicious-policy=ignore --untested-policy=ignore > mutmut-results.xml
	junit2html mutmut-results.xml mutmut-results.html

benchmark:
	pytest tests/bench.py

mypy:
	mypy PyPDF2 --ignore-missing-imports --check-untyped --strict

pylint:
	pylint PyPDF2

=== 001-trivial/Makefile ===
SOURCE=minimal-document

make:
	pdflatex $(SOURCE).tex -output-format=pdf
	make clean

clean:
	rm -rf  $(TARGET) *.class *.html *.log *.aux *.out

=== 003-pdflatex-image/Makefile ===
SOURCE = pdflatex-image
DELAY = 80
DENSITY = 300
WIDTH = 512

make:
	pdflatex $(SOURCE).tex -output-format=pdf
	pdflatex $(SOURCE).tex -output-format=pdf
	make clean

clean:
	rm -rf  $(TARGET) *.class *.html *.log *.aux *.data *.gnuplot

gif:
	pdfcrop $(SOURCE).pdf
	convert -verbose -delay $(DELAY) -loop 0 -density $(DENSITY) $(SOURCE)-crop.pdf $(SOURCE).gif
	make clean

png:
	make
	make svg
	inkscape $(SOURCE).svg -w $(WIDTH) --export-png=$(SOURCE).png

transparentGif:
	convert $(SOURCE).pdf -transparent white result.gif
	make clean

svg:
	#inkscape $(SOURCE).pdf --export-plain-svg=$(SOURCE).svg
	pdf2svg $(SOURCE).pdf $(SOURCE).svg
	# Necessary, as pdf2svg does not always create valid svgs:
	inkscape $(SOURCE).svg --export-width=$(WIDTH) --export-plain-svg=$(SOURCE)1.svg
	rsvg-convert -a -w 720 -f svg $(SOURCE)1.svg -o $(SOURCE).svg
	rm $(SOURCE)1.svg

=== 004-pdflatex-4-pages/Makefile ===
SOURCE=pdflatex-4-pages

make:
	pdflatex $(SOURCE).tex -output-format=pdf
	make clean

clean:
	rm -rf  $(TARGET) *.class *.html *.log *.aux *.out

=== 006-pdflatex-outline/Makefile ===
SOURCE=pdflatex-outline

make:
	pdflatex $(SOURCE).tex -output-format=pdf
	pdflatex $(SOURCE).tex -output-format=pdf
	pdflatex $(SOURCE).tex -output-format=pdf
	make clean

clean:
	rm -rf  $(TARGET) *.class *.html *.log *.aux *.out

=== 010-pdflatex-forms/Makefile ===
SOURCE=pdflatex-forms

make:
	pdflatex $(SOURCE).tex -output-format=pdf
	pdflatex $(SOURCE).tex -output-format=pdf
	pdflatex $(SOURCE).tex -output-format=pdf
	make clean

clean:
	rm -rf  $(TARGET) *.class *.html *.log *.aux *.out

## pypdf2 1.23+git20141008

=== debian/changelog ===
pypdf2 (1.23+git20141008-1+deb8u1) jessie; urgency=medium

  * Backport fix 'prevent infinite loop in readObject() function' to prevent
    DoS from upstream Git tree.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Sep 2016 17:46:41 +0000

pypdf2 (1.23+git20141008-1) unstable; urgency=low

  * Upstream snapshot with various bug fixes.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Oct 2014 20:57:33 +0000

pypdf2 (1.23-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Break/Replace python-pypdf (Closes: #764155)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 10 Oct 2014 12:10:51 +0100

pypdf2 (1.23-3) unstable; urgency=medium

  * Correct packages content (closes: #763680).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 02 Oct 2014 18:14:43 +0000

pypdf2 (1.23-2) unstable; urgency=medium

  * Add missed 2 ending to binary packages (closes: #762186).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Sep 2014 11:55:17 +0000

pypdf2 (1.23-1) unstable; urgency=low

  * Initial upload to Debian (closes: #719887).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Aug 2014 15:29:01 +0000

=== debian/control ===
Source: pypdf2
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, python-all, python3-all
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
Homepage: http://pythonhosted.org/PyPDF2/

Package: python-pypdf2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Breaks: python-pypdf (<< 1.23-3.1~)
Replaces: python-pypdf (<< 1.23-3.1~)
Description: Pure-Python library built as a PDF toolkit (Python 2)
 A Pure-Python library built as a PDF toolkit.  It is capable of:
   - extracting document information (title, author, ...),
   - splitting documents page by page,
   - merging documents page by page,
   - cropping pages,
   - merging multiple pages into a single page,
   - encrypting and decrypting PDF files.
 .
 By being Pure-Python, it should run on any Python platform without any
 dependencies on external libraries.  It can also work entirely on StringIO
 objects rather than file streams, allowing for PDF manipulation in memory.
 It is therefore a useful tool for websites that manage or manipulate PDFs.
 .
 This is the Python 2 version of the package.

Package: python3-pypdf2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pure-Python library built as a PDF toolkit (Python 3)
 A Pure-Python library built as a PDF toolkit.  It is capable of:
   - extracting document information (title, author, ...),
   - splitting documents page by page,
   - merging documents page by page,
   - cropping pages,
   - merging multiple pages into a single page,
   - encrypting and decrypting PDF files.
 .
 By being Pure-Python, it should run on any Python platform without any
 dependencies on external libraries.  It can also work entirely on StringIO
 objects rather than file streams, allowing for PDF manipulation in memory.
 It is therefore a useful tool for websites that manage or manipulate PDFs.
 .
 This is the Python 3 version of the package.

## pypdf2 1.25.1

=== debian/changelog ===
pypdf2 (1.25.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Sep 2015 16:05:35 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp
PYPDF2DIR=$(CURDIR)/debian/python-pypdf2/
PYPDF3DIR=$(CURDIR)/debian/python3-pypdf2/

export PYBUILD_NAME=pypdf2

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/build/

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(DESTDIR) --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	rm -rf $(DESTDIR)/usr/lib/python3/dist-packages/PyPDF2/__pycache__/
	dh_auto_install

override_dh_fixperms:
	chmod a-x $(PYPDF2DIR)/usr/share/doc/python-pypdf2/examples/*
	chmod a-x $(PYPDF3DIR)/usr/share/doc/python3-pypdf2/examples/*
	dh_fixperms

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_fixperms

## pypdf2 1.26.0

=== debian/changelog ===
pypdf2 (1.26.0-4ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect handling of xref marker causes unexpected long
    runtime
    - debian/patches/CVE-2023-36810.patch: adjust process of reading lines to
      improve runtime, changing algorithmic efficiency from O(n²) to O(n).
    - CVE-2023-36810  

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Aug 2023 12:25:12 +1000

pypdf2 (1.26.0-4ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Missing read condition causes infinite loop issue 
    - debian/patches/CVE-2022-24859.patch: Raise exception when stream has
      ended without encountering EI operator when reading inline image. Parsing
      algorithm efficiency also improved. 
    - CVE-2022-24859

 -- Evan Caville <evan.caville@canonical.com>  Thu, 15 Jun 2023 16:05:21 +1000

pypdf2 (1.26.0-4) unstable; urgency=medium

  * Remove Python 2 from build dependencies (closes: #937505).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Jan 2020 08:08:58 +0000

pypdf2 (1.26.0-3) unstable; urgency=medium

  * Remove Python 2 bindings (closes: #937505).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Dec 2019 10:35:51 +0000

pypdf2 (1.26.0-2) unstable; urgency=medium

  * Backport fix 'prevent infinite loop in readObject() function' to prevent
    DoS from upstream Git tree.
  * Remove Breaks/Replaces with python-pypdf (closes: #835983).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Sep 2016 17:14:33 +0000

pypdf2 (1.26.0-1) unstable; urgency=low

  * New upstream release (closes: #833651).
  * Correct breaks/replaces with python-pypdf (closes: #764090).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Aug 2016 14:32:24 +0000

=== debian/control ===
Source: pypdf2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12), dh-python, python3-all
Standards-Version: 4.4.1
Homepage: https://pythonhosted.org/PyPDF2/

Package: python3-pypdf2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pure-Python library built as a PDF toolkit (Python 3)
 A Pure-Python library built as a PDF toolkit.  It is capable of:
   - extracting document information (title, author, ...),
   - splitting documents page by page,
   - merging documents page by page,
   - cropping pages,
   - merging multiple pages into a single page,
   - encrypting and decrypting PDF files.
 .
 By being Pure-Python, it should run on any Python platform without any
 dependencies on external libraries.  It can also work entirely on StringIO
 objects rather than file streams, allowing for PDF manipulation in memory.
 It is therefore a useful tool for websites that manage or manipulate PDFs.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,15 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
-DESTDIR=$(CURDIR)/debian/tmp
-PYPDF2DIR=$(CURDIR)/debian/python-pypdf2/
+
+DESTDIR=$(CURDIR)/debian/python3-pypdf2/
 PYPDF3DIR=$(CURDIR)/debian/python3-pypdf2/
 
 export PYBUILD_NAME=pypdf2
+export PYBUILD_DISABLE=2.7
 
-PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
 
 override_dh_clean:
@@ -31,11 +31,10 @@
 	dh_auto_install
 
 override_dh_fixperms:
-	chmod a-x $(PYPDF2DIR)/usr/share/doc/python-pypdf2/examples/*
 	chmod a-x $(PYPDF3DIR)/usr/share/doc/python3-pypdf2/examples/*
 	dh_fixperms
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 .PHONY: override_dh_auto_build override_dh_auto_install override_dh_fixperms

=== debian/watch ===
version=3
https://github.com/mstamy2/PyPDF2/tags .*/archive/v?([0-9][0-9\.]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## pypdf2 2.10.3

=== debian/changelog ===
pypdf2 (2.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Aug 2022 19:51:23 +0200

pypdf2 (2.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Aug 2022 09:59:12 +0200

pypdf2 (2.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 Aug 2022 15:57:47 +0200

pypdf2 (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 05 Aug 2022 15:21:02 +0200

pypdf2 (2.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jul 2022 15:56:59 +0200

pypdf2 (2.6.0-1) unstable; urgency=medium

  * New upstream release (closes: #1015296).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jul 2022 05:20:15 +0000

pypdf2 (2.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Jul 2022 19:32:22 +0200

pypdf2 (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jul 2022 21:08:30 +0200

pypdf2 (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Jun 2022 17:43:59 +0200

pypdf2 (1.27.12-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 May 2022 20:40:07 +0200

pypdf2 (1.27.9-1) unstable; urgency=high

  * New upstream release:
    - fixes CVE-2022-24859: manipulated inline images can cause infinite loop
      (closes: #1009879).
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Apr 2022 08:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: pypdf2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all
-Standards-Version: 4.4.1
-Homepage: https://pythonhosted.org/PyPDF2/
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
+ python3-setuptools,
+ python3-pil <!nocheck>, python3-pytest <!nocheck>,
+ python3-pytest-benchmark <!nocheck>, python3-pytest-cov <!nocheck>,
+ python3-pycryptodome <!nocheck>
+Standards-Version: 4.6.0.1
+Homepage: https://pypdf2.readthedocs.io/en/latest/
 
 Package: python3-pypdf2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,11 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf $(CURDIR)/build/
+	rm -rf $(CURDIR)/PyPDF2.egg-info/ \
+		$(CURDIR)/dont_commit_filled_pdf.pdf  \
+		$(CURDIR)/dont_commit_issue670.pdf \
+		$(CURDIR)/build/ \
+		$(CURDIR)/tests/pdf_cache/
 
 build-python%:
 	python$* setup.py build
@@ -30,11 +34,11 @@
 	rm -rf $(DESTDIR)/usr/lib/python3/dist-packages/PyPDF2/__pycache__/
 	dh_auto_install
 
-override_dh_fixperms:
-	chmod a-x $(PYPDF3DIR)/usr/share/doc/python3-pypdf2/examples/*
-	dh_fixperms
+override_dh_auto_test:
+	pytest-3 tests --cov --cov-report term-missing -vv
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-.PHONY: override_dh_auto_build override_dh_auto_install override_dh_fixperms
+.PHONY: override_dh_auto_build override_dh_auto_install \
+	override_dh_auto_test

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/py-pdf/PyPDF2/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## pypdf2 2.12.1

=== debian/changelog ===
pypdf2 (2.12.1-4) unstable; urgency=medium

  * Prevent infinite loop when no character follows after a comment (Closes:
    #1040339)
    - Addresses CVE-2023-36464
    - Add d/p/0003-Prevent-infinite-loop-when-no-character-follows-afte.patch
  * Adopt for Debian Python Team (Closes: #1059160)
    - Update maintainer and add myself to uploaders
    - Update Vcs-* to DPT locations

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Jan 2024 11:28:43 -0500

pypdf2 (2.12.1-3) unstable; urgency=medium

  * disable two more network tests

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 16:38:55 -0500

pypdf2 (2.12.1-2) unstable; urgency=medium

  * d/control: correct Vcs-* fields

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 15:54:18 -0500

pypdf2 (2.12.1-1) unstable; urgency=medium

  * new upstream version (last upstream version before breaking changes
    and explicit deprecation in 3.0.0)
  * Rules-Requires-Root: no
  * standards-version: bump to 4.6.2 (no changes needed)
  * add myself to d/copyright with the year 2023
  * filter out override_dh_auto_test when nocheck is in DEB_BUILD_OPTIONS
  * d/control: add Vcs-* fields
  * add myself to uploaders
  * wrap-and-sort -ast
  * add debian/gbp.conf
  * d/watch: drop unnecessary options
  * d/watch: only look for versions 2.x (3.0.0 is backwards-incompatible,
    deprecated, and replaced with pypdf)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Jan 2023 15:00:28 -0500

pypdf2 (2.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Nov 2022 17:34:53 +0100

pypdf2 (2.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Oct 2022 07:40:25 +0200

pypdf2 (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Sep 2022 22:08:25 +0200

pypdf2 (2.10.9-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Sep 2022 22:15:31 +0200

pypdf2 (2.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Sep 2022 15:24:48 +0200

pypdf2 (2.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Sep 2022 19:32:59 +0200

pypdf2 (2.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Aug 2022 20:08:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: pypdf2
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Scott Kitterman <scott@kitterman.com>, 
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
- python3-setuptools,
- python3-pil <!nocheck>, python3-pytest <!nocheck>,
- python3-pytest-benchmark <!nocheck>, python3-pytest-cov <!nocheck>,
- python3-pycryptodome <!nocheck>
-Standards-Version: 4.6.0.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-pil <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://pypdf2.readthedocs.io/en/latest/
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/pypdf.git -b debian/pypdf2/unstable
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pypdf
 
 Package: python3-pypdf2
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Pure-Python library built as a PDF toolkit (Python 3)
  A Pure-Python library built as a PDF toolkit.  It is capable of:
    - extracting document information (title, author, ...),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DESTDIR=$(CURDIR)/debian/python3-pypdf2/
PYPDF3DIR=$(CURDIR)/debian/python3-pypdf2/

export PYBUILD_NAME=pypdf2
export PYBUILD_DISABLE=2.7

PYTHON3=$(shell py3versions -vr)

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/dist/ \
		$(CURDIR)/tests/pdf_cache/

build-python%:
	python$* -m build --wheel --no-isolation

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* -m installer --destdir=debian/python3-pypdf2/ dist/*.whl

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pytest-3 tests --cov --cov-report term-missing -vv
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_auto_test
